using Kingdee.BOS.Core.DynamicForm;
using Kingdee.BOS.Core.Report;
using Kingdee.BOS.Core.Report.PlugIn;
using Kingdee.BOS.Core.Report.PlugIn.Args;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LQKJ.K3.NDR.NewReportPlugIn
{
    [HotUpdate, Description("双击事件")]
    public class CellDoubleClickReportPlugIn: AbstractSysReportPlugIn
    {
        
        public override void CellDbClick(CellEventArgs Args)
        {   string Number = string.Empty;
            base.CellDbClick(Args);
            Number = this.SysReportView.SelectedDataRows[0]["项目编号"].ToString();
            SysReportShowParameter billShowPara2 = new SysReportShowParameter();
            billShowPara2.OpenStyle.ShowType = ShowType.MainNewTabPage;
            billShowPara2.IsShowFilter = false;
            billShowPara2.ParentPageId = this.View.PageId;
            billShowPara2.FormId = "LQKJ_FYMXB";
            billShowPara2.CustomComplexParams["F_LQKJ_Item"]= Number;
            this.View.ShowForm(billShowPara2);
        }
    }
}
